<template>
    <div>
        <div class="space-y-6">
            <Card
                v-for="(article, index) in articles"
                :key="index"
                :compact="compact"
                :image="article.image"
                :image-height="article.imageCardHeight"
                :link="article.path"
                class="block"
            >
                <NuxtLink :to="article.path" class="block">
                    <h2 class="mt-0 mb-2">{{ article.title }}</h2>
                    <ArticleMetadata :article="article" class="text-sm mb-4" />
                </NuxtLink>
                <div v-if="!compact" class="prose-base sm:prose-lg">
                    <nuxt-content :document="{ body: article.excerpt }" />
                </div>
                <div v-if="!compact" class="mt-3">
                    <NuxtLink
                        :to="article.path"
                        class="
                            text-green-500
                            dark:text-green-400
                            font-semibold
                            tracking-wide
                            animate-pulse
                            hover:animate-none hover:underline
                        "
                    >
                        Read More »
                    </NuxtLink>
                </div>
                <div class="flex flex-wrap justify-end items-center gap-1 sm:gap-2 mt-3 sm:mt-1">
                    <Tag v-for="tag in article.tags" :key="tag" :tag="tag" />
                </div>
            </Card>
            <div v-if="articles.length === 0">No articles found</div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'ArticleList',
    props: {
        articles: {
            type: Array,
            default: () => [],
        },
        total: {
            type: Number,
            default: 0,
        },
        compact: {
            type: Boolean,
            default: false,
        },
    },
}
</script>
